package cn.im.trafficdevice.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;

import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("sbtdspyzdDao")
public class SbtdspyzdDao  extends SqlMapClientDaoSupport{

	@Autowired 
    private SqlMapClient sqlMapClient;  
      
	@PostConstruct          
    public  void initSqlMapClient(){  
    	super.setSqlMapClient(sqlMapClient);      
    }
	/**
	 * 增加记录
	 */
	public void insert_Sbtdspyzd(Map map) throws SQLException{
		this.getSqlMapClientTemplate().insert("insert_Sbtdspyzd",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	public void batch_insert_Sbtdspyzd(List batch) throws SQLException{
		this.getSqlMapClientTemplate().insert("batch_insert_Sbtdspyzd",batch);
	}
	/**
	 * 批处理增加记录
	 */
	public void batchInsert(List batch) throws SQLException{
		this.getSqlMapClientTemplate().insert("batchInsert",batch);
	}
	 
	/**
	 * 修改记录
	 */
	public Integer update_Sbtdspyzd(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().update("update_Sbtdspyzd",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Sbtdspyzd(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_Sbtdspyzd",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	public Integer batch_delete_Sbtdspyzd(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("batch_delete_Sbtdspyzd",map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Sbtdspyzd(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Sbtdspyzd",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Sbtdspyzd(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Sbtdspyzd",map);
	}
	public List<Map> getAll() throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("getAll");
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Sbtdspyzd(Map map) throws SQLException{
		return (Map) this.getSqlMapClientTemplate().queryForObject("query_Sbtdspyzd",map);
	}
	public Map get_SbtdspyzdOne(Map map) throws SQLException{
		return (Map) this.getSqlMapClientTemplate().queryForObject("get_SbtdspyzdOne",map);
	}
}
